import request from '@/utils/request'

/**
 * 获取crgs分类数据
 * @param {string} type 分类类型
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月15日 10:17:43
 */
export function getDataType(type) {
  return request({
    url: `/constant/getDataType/${type}`,
    methods: 'get'
  })
}

/**
 * 获取basecode码值列表
 * @param {string} codeid codeid
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月19日 20:38:18
 */
export function getBaseCodeList(codeid) {
  return request({
    url: `/constant/${codeid}`,
    methods: 'get'
  })
}
/**
 * 获取登记机关--市局区局
 */
export function getRegOrgList(type) {
  return request({
    url: '/abnormal/gzaiccode/getRegOrgList',
    method: 'get'
  })
}
